package me.hammerle.supersnuvi.util;

public enum Face 
{
    LEFT(0.01d, 0),
    RIGHT(-0.01d, 0),
    UP(0, -0.01d),
    DOWN(0, 0.01d);
    
    private double offsetX;
    private double offsetY;
    
    Face(double offsetX, double offsetY)
    {
        this.offsetX = offsetX;
        this.offsetY = offsetY;
    }
    
    public Face getOpposite()
    {
        switch(this)
        {
            case LEFT: return RIGHT;
            case RIGHT: return LEFT;
            case UP: return DOWN;
            case DOWN: return UP;
        }
        return UP;
    }
    
    public double getCollisionOffsetX()
    {
        return offsetX;
    }
    
    public double getCollisionOffsetY()
    {
        return offsetY;
    }
}
